summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorSage Weil <sage@redhat.com>2015-05-29 21:29:48 -0400
committerSage Weil <sage@redhat.com>2015-05-29 21:29:48 -0400
commite8cc7a86cce321997524fc41c1a4df15679d5b78 (patch)
tree228843a03bdf46f533bf6dc896acec4db2de858d /bin
parent8bd27b61cb6c4f86661d8c3090853bd8997d2529 (diff)
downloadceph-e8cc7a86cce321997524fc41c1a4df15679d5b78.tar.gz
bin/make_dist_tarball.sh
This includes all submodules *except* ceph-object-corpus and ceph-erasure-code-corpus. This is a bit different that autotools' version: - compiled man pages - some autotools cruft - src/.git_version - compiled *.in files + .git* + CMake stuff + copyright files + readme files + cmake/ + debian/ + doc/ + keys/ + qa/ + systemd/ + tons of other stuff we should probably have included All in all, I think it's much more complete. Signed-off-by: Sage Weil <sage@redhat.com>
Diffstat (limited to 'bin')
-rwxr-xr-xbin/make_dist_tarball.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/bin/make_dist_tarball.sh b/bin/make_dist_tarball.sh
new file mode 100755
index 00000000000..d7d8bdafff4
--- /dev/null
+++ b/bin/make_dist_tarball.sh
@@ -0,0 +1,35 @@
+#!/bin/sh -e
+
+if [ ! -d .git ]; then
+ echo "no .git present. run this from the base dir of the git checkout."
+ exit 1
+fi
+
+bindir=`dirname $0`
+
+version=$1
+[ -z "$version" ] && version=`git describe | cut -c 2-`
+outfile="ceph-$version"
+
+# update submodules
+echo "updating submodules..."
+force=$(if git submodule usage 2>&1 | grep --quiet 'update.*--force'; then echo --force ; fi)
+if ! git submodule sync || ! git submodule update $force --init --recursive; then
+ echo "Error: could not initialize submodule projects"
+ echo " Network connectivity might be required."
+ exit 1
+fi
+
+# clean out old cruft...
+echo "cleanup..."
+rm -f $outfile.tar $outfile.tar.gz
+
+# build new tarball
+echo "building tarball..."
+$bindir/git-archive-all.sh --prefix ceph-$version/ \
+ --verbose \
+ --ignore corpus \
+ $outfile.tar
+gzip -9 $outfile.tar
+
+echo "done."